hhafeng
hhafeng
  • 发布:2023-11-10 14:27
  • 更新:2024-02-28 16:14
  • 阅读:203

【报Bug】wgt热更新报:“WGT的manifest.json中配置使用了“facialrecognitionverify”模块,而App打包时没有配置这些模块,升级后可能导致部分功能不可用”。

分类:uni-app

产品分类: uniapp/App

PC开发环境操作系统: Windows

PC开发环境操作系统版本号: windows10 20H2

HBuilderX类型: 正式

HBuilderX版本号: 3.96

手机系统: Android

手机系统版本号: Android 14

手机厂商: 华为

手机机型: meta20

页面类型: vue

vue版本: vue2

打包方式: 云端

项目创建方式: HBuilderX

示例代码:

安卓系统,使用了“facialrecognitionverify”模块,,使用云打包1.0.0版本。然后使用同样的manifest.json配置制作了wgt更新包1.0.1版本,热更新时提示:“WGT的manifest.json中配置使用了“facialrecognitionverify”模块,而App打包时没有配置这些模块,升级后可能导致部分功能不可用”。

操作步骤:

安卓系统,使用了“facialrecognitionverify”模块,,使用云打包1.0.0版本。然后使用同样的manifest.json配置制作了wgt更新包1.0.1版本,热更新时提示:“WGT的manifest.json中配置使用了“facialrecognitionverify”模块,而App打包时没有配置这些模块,升级后可能导致部分功能不可用”。

预期结果:

更新成功

实际结果:

更新失败

bug描述:

安卓系统,使用了“facialrecognitionverify”模块,,使用云打包1.0.0版本。然后使用同样的manifest.json配置制作了wgt更新包1.0.1版本,热更新时提示:“WGT的manifest.json中配置使用了“facialrecognitionverify”模块,而App打包时没有配置这些模块,升级后可能导致部分功能不可用”。

2023-11-10 14:27 负责人:无 分享
已邀请:
hhafeng

hhafeng (作者) - 格言

官方大佬,能看一下这个问题吗?

  • 2***@qq.com

    请问解决了吗?我也遇到这个问题了

    2023-12-14 14:24

找个程序员APP

找个程序员APP - 互联网行业交友APP,各大应用市场均可下载,免费交友,接外包私单

我也是有同样的问题

  • 2***@qq.com

    我现在解决了,直接接入阿里云的sdk,前后端都需要接入,参考文档https://help.aliyun.com/zh/id-verification/financial-grade-id-verification/uniapp-integration-2?spm=a2c4g.11186623.0.0.1eaf9de9PS33OL

    2024-01-06 17:29

hhafeng

hhafeng (作者) - 格言

看来用了实人认证的都有这个问题,官方不管吗?现在这个问题导致安卓端不能使用热更新了。

找个程序员APP

找个程序员APP - 互联网行业交友APP,各大应用市场均可下载,免费交友,接外包私单

问题已经解决了:https://ask.dcloud.net.cn/question/184088

要回复问题请先登录注册